Google Web Toolkit
Search Google Code:

# Class MouseWheelListenerCollection

public class MouseWheelListenerCollection
extends ArrayList
A helper class for implementers of the SourcesMouseWheelEvents interface. This subclass of ArrayList assumes that all objects added to it will be of type MouseWheelListener.

## Methods

fireMouseWheel(Widget, MouseWheelVelocity) | Fires a mouse wheel event to all listeners.
fireMouseWheelEvent(Widget, Event) | A helper for widgets that source mouse events.

## Method Detail

### fireMouseWheel

public void fireMouseWheel(Widget sender, MouseWheelVelocity velocity)
Fires a mouse wheel event to all listeners.

#### Parameters

sender
  the widget sending the event
velocity
  the velocity information for the event

### fireMouseWheelEvent

public void fireMouseWheelEvent(Widget sender, Event event)
A helper for widgets that source mouse events.

#### Parameters

sender
  the widget sending the event
event
  the Event received by the widget